<template>
    <v-content>
      <v-container
        class="fill-height"
        fluid
      >
        <v-row
          align="center"
          justify="center"
        >
          <v-col
            cols="12"
            sm="8"
            md="4"
          >
            <v-card class="elevation-12">
              <v-toolbar
                color="orange accent-4"
                dark
                flat
              >
                <v-toolbar-title>Login form</v-toolbar-title>
              </v-toolbar>
              <v-card-text>
                <v-form>
                  <v-text-field
                    label="Username"
                    name="username"
                    type="text"
                    v-model="storeUsername"
                  />

                  <v-text-field
                    label="Password"
                    name="password"
                    type="password"
                    v-model="storePassword"
                  />
                </v-form>
              </v-card-text>
              <v-card-actions>
                <v-spacer />
                <v-btn color="orange accent-4 white--text" @click="loginSubmit">Login</v-btn>
              </v-card-actions>
            </v-card>
          </v-col>
        </v-row>
      </v-container>
    </v-content>
</template>

<script>
export default {
layout: 'template',
data: {
    storeUsername: '',
    storePassword: ''
},
mounted() {
  if(localStorage.storeUsername) this.storeUsername = localStorage.storeUsername;
  if(localStorage.storePassword) this.storePassword = localStorage.storePassword;
},
methods: {
    loginSubmit() {
      if(this.storeUsername == localStorage.newUsername && this.storePassword == localStorage.newPassword){
        alert('You can Login!!');
      }else{
        alert('Login Error!!');
      }

      // localStorage.storeUsername = this.storeUsername;
      // localStorage.storePassword = this.storePassword;
      //   alert('You can Login!!');

    }
  }
}
</script>

<style scoped>

</style>